/* eslint-env browser */
(function() {
  'use strict';

  document.addEventListener('DOMContentLoaded', function() {
    var $content = document.getElementById('main');
    var $subscribeModal = document.getElementById('download-modal');
    var subscribeModal = new window.A11yDialog($subscribeModal, $content);
    var $subscribeForm = document.getElementById('subscribe-form');

    subscribeModal.on('show', function(dialogEl) {
      dialogEl.classList.add('is-show');
    });

    subscribeModal.on('hide', function(dialogEl) {
      dialogEl.classList.remove('is-show');
    });

    $subscribeForm.addEventListener('submit', function(event) {
      event.preventDefault();

      var FD = new FormData($subscribeForm);

      // you can send this data to your server with ajax.
      // https://developer.mozilla.org/en-US/docs/Learn/HTML/Forms/Sending_forms_through_JavaScript#Using_FormData_bound_to_a_form_element
      console.log(FD.get('email'));

      subscribeModal.show();

      // Your custom JavaScript goes here
    });
  });
})();
